PCRE_GET_SUBSTRING_LIST(3)

NAME
PCRE - Perl-compatible regular expressions

SYNOPSIS

#include <pcre.h>

int pcre_get_substring_list(const char *subject,
int *ovector, int stringcount, const char ***listptr);

DESCRIPTION

This is a convenience function for extracting a list of all the captured substrings. The arguments are:

  subject Subject that has been successfully matched
  ovector Offset vector that pcre_exec used
  stringcount Value returned by pcre_exec
  listptr Where to put a pointer to the list

The memory in which the substrings and the list are placed is obtained by calling pcre_malloc(). A pointer to a list of pointers is put in the variable whose address is in listptr. The list is terminated by a NULL pointer. The yield of the function is zero on success or PCRE_ERROR_NOMEMORY if sufficient memory could not be obtained.

There is a complete description of the PCRE native API in the pcreapi page and a description of the POSIX API in the pcreposix page.